Bug 248417 - (CVE-2007-3388) CVE-2007-3388 qt3 format string flaw
CVE-2007-3388 qt3 format string flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
reported=20070713,source=vendorsec,im...
: Security
Depends On: 248418 248419 248420 248421 248422
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 14:19 EDT by Josh Bressers
Modified: 2010-02-15 23:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 11:34:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed upstream patch (6.36 KB, patch)
2007-07-16 14:24 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2007-07-16 14:19:47 EDT
A format string flaw has been found in the way QT's QTextEdit constructs error
messages.

This flaw does not affect QT4, or QT2.  It is only present in QT3.

Acknowledgements:

Red Hat would like to acknowledge Tim Brown of Portcullis Computer Security and Dirk Mueller for these issues.
Comment 2 Josh Bressers 2007-07-16 14:24:04 EDT
Created attachment 159351 [details]
Proposed upstream patch

This patch also fixes several additional format string flaws.
Comment 4 Josh Bressers 2007-07-16 14:44:29 EDT
Credit for discovering this flaw should go to Tracey Parry of Portcullis
Computer Security Ltd.
Comment 6 Mark J. Cox (Product Security) 2007-07-18 04:28:47 EDT
        embargo set to 20070727 by Trolltech
Comment 9 Josh Bressers 2007-07-31 10:47:46 EDT
This is now public:
http://trolltech.com/company/newsroom/announcements/press.2007-07-27.7503755960
Comment 10 Red Hat Product Security 2008-01-15 11:34:11 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0721.html

Fedora
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2216


Note You need to log in before you can comment on or make changes to this bug.